Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.jdbcjobstore
Interface Constants

All Known Subinterfaces:
  StdJDBCConstants

All Known Implementing Classes:
  CacheDelegate, CalendarIntervalTriggerPersistenceDelegate, CronTriggerPersistenceDelegate, CUBRIDDelegate, DailyTimeIntervalTriggerPersistenceDelegate, DB2v6Delegate, DB2v7Delegate, DB2v8Delegate, DBSemaphore, HSQLDBDelegate, JobStoreCMT, JobStoreSupport, JobStoreTX, MSSQLDelegate, OracleDelegate, PointbaseDelegate, PostgreSQLDelegate, SimplePropertiesTriggerPersistenceDelegateSupport, SimpleTriggerPersistenceDelegate, StdJDBCDelegate, StdRowLockSemaphore, SybaseDelegate, UpdateLockRowSemaphore, WebLogicDelegate, WebLogicOracleDelegate

    public interface Constants

This interface can be implemented by any ``DriverDelegate`` class that needs to use the constants contained herein.

Author:
  Jeffrey Wescott, James House

Field Summary
`static String` | `ALIAS_COL_NEXT_FIRE_TIME`
`static String` | `ALL_GROUPS_PAUSED`
`static String` | `COL_BLOB`
`static String` | `COL_CALENDAR`
`static String` | `COL_CALENDAR_NAME`
`static String` | `COL_CHECKIN_INTERVAL`
`static String` | `COL_CRON_EXPRESSION`
`static String` | `COL_DESCRIPTION`
`static String` | `COL_END_TIME`
`static String` | `COL_ENTRY_ID`
`static String` | `COL_ENTRY_STATE`
`static String` | `COL_FIRED_TIME`
`static String` | `COL_INSTANCE_NAME`
`static String` | `COL_IS_DURABLE`
`static String` | `COL_IS_NONCONCURRENT`
`static String` | `COL_IS_UPDATE_DATA`
`static String` | `COL_IS_VOLATILE`
`static String` | `COL_JOB_CLASS`
`static String` | `COL_JOB_DATAMAP`
`static String` | `COL_JOB_GROUP`
`static String` | `COL_JOB_NAME`
`static String` | `COL_LAST_CHECKIN_TIME`
`static String` | `COL_LOCK_NAME`
`static String` | `COL_MISFIRE_INSTRUCTION`
`static String` | `COL_NEXT_FIRE_TIME`
`static String` | `COL_PREV_FIRE_TIME`
`static String` | `COL_PRIORITY`
`static String` | `COL_REPEAT_COUNT`
`static String` | `COL_REPEAT_INTERVAL`
`static String` | `COL_REQUESTS_RECOVERY`
`static String` | `COL_SCHED_TIME`
`static String` | `COL_SCHEDULER_NAME`
`static String` | `COL_START_TIME`
`static String` | `COL_TIME_ZONE_ID`
`static String` | `COL_TIMES_TRIGGERED`
`static String` | `COL_TRIGGER_GROUP`
`static String` | `COL_TRIGGER_NAME`
`static String` | `COL_TRIGGER_STATE`
`static String` | `COL_TRIGGER_TYPE`
`static String` | `DEFAULT_TABLE_PREFIX`
`static String` | `STATE_ACQUIRED`
`static String` | `STATE_BLOCKED`
`static String` | `STATE_COMPLETE`
`static String` | `STATE_DELETED`
`static String` | `STATE_ERROR`
`static String` | `STATE_EXECUTING`
`static String` | `STATE_MISFIRED` Deprecated. Whether a trigger has misfired is no longer a state, but rather now identified dynamically by whether the trigger's next fire time is more than the misfire threshold time in the past.
`static String` | `STATE_PAUSED`
`static String` | `STATE_PAUSED_BLOCKED`
`static String` | `STATE_WAITING`
`static String` | `TABLE_BLOB_TRIGGERS`
`static String` | `TABLE_CALENDARS`
`static String` | `TABLE_CRON_TRIGGERS`
`static String` | `TABLE_FIRED_TRIGGERS`
`static String` | `TABLE_JOB_DETAILS`
`static String` | `TABLE_LOCKS`
`static String` | `TABLE_PAUSED_TRIGGERS`
`static String` | `TABLE_SCHEDULER_STATE`
`static String` | `TABLE_SIMPLE_TRIGGERS`
`static String` | `TABLE_TRIGGERS`
`static String` | `TTYPE_BLOB` A general blob Trigger type.
`static String` | `TTYPE_CAL_INT` Calendar Interval Trigger type.
`static String` | `TTYPE_CRON` Cron Trigger type.
`static String` | `TTYPE_DAILY_TIME_INT` Daily Time Interval Trigger type.
`static String` | `TTYPE_SIMPLE` Simple Trigger type.

Field Detail

### TABLE_JOB_DETAILS

    static final String TABLE_JOB_DETAILS

See Also:
  Constant Field Values

### TABLE_TRIGGERS

    static final String TABLE_TRIGGERS

See Also:
  Constant Field Values

### TABLE_SIMPLE_TRIGGERS

    static final String TABLE_SIMPLE_TRIGGERS

See Also:
  Constant Field Values

### TABLE_CRON_TRIGGERS

    static final String TABLE_CRON_TRIGGERS

See Also:
  Constant Field Values

### TABLE_BLOB_TRIGGERS

    static final String TABLE_BLOB_TRIGGERS

See Also:
  Constant Field Values

### TABLE_FIRED_TRIGGERS

    static final String TABLE_FIRED_TRIGGERS

See Also:
  Constant Field Values

### TABLE_CALENDARS

    static final String TABLE_CALENDARS

See Also:
  Constant Field Values

### TABLE_PAUSED_TRIGGERS

    static final String TABLE_PAUSED_TRIGGERS

See Also:
  Constant Field Values

### TABLE_LOCKS

    static final String TABLE_LOCKS

See Also:
  Constant Field Values

### TABLE_SCHEDULER_STATE

    static final String TABLE_SCHEDULER_STATE

See Also:
  Constant Field Values

### COL_SCHEDULER_NAME

    static final String COL_SCHEDULER_NAME

See Also:
  Constant Field Values

### COL_JOB_NAME

    static final String COL_JOB_NAME

See Also:
  Constant Field Values

### COL_JOB_GROUP

    static final String COL_JOB_GROUP

See Also:
  Constant Field Values

### COL_IS_DURABLE

    static final String COL_IS_DURABLE

See Also:
  Constant Field Values

### COL_IS_VOLATILE

    static final String COL_IS_VOLATILE

See Also:
  Constant Field Values

### COL_IS_NONCONCURRENT

    static final String COL_IS_NONCONCURRENT

See Also:
  Constant Field Values

### COL_IS_UPDATE_DATA

    static final String COL_IS_UPDATE_DATA

See Also:
  Constant Field Values

### COL_REQUESTS_RECOVERY

    static final String COL_REQUESTS_RECOVERY

See Also:
  Constant Field Values

### COL_JOB_DATAMAP

    static final String COL_JOB_DATAMAP

See Also:
  Constant Field Values

### COL_JOB_CLASS

    static final String COL_JOB_CLASS

See Also:
  Constant Field Values

### COL_DESCRIPTION

    static final String COL_DESCRIPTION

See Also:
  Constant Field Values

### COL_TRIGGER_NAME

    static final String COL_TRIGGER_NAME

See Also:
  Constant Field Values

### COL_TRIGGER_GROUP

    static final String COL_TRIGGER_GROUP

See Also:
  Constant Field Values

### COL_NEXT_FIRE_TIME

    static final String COL_NEXT_FIRE_TIME

See Also:
  Constant Field Values

### COL_PREV_FIRE_TIME

    static final String COL_PREV_FIRE_TIME

See Also:
  Constant Field Values

### COL_TRIGGER_STATE

    static final String COL_TRIGGER_STATE

See Also:
  Constant Field Values

### COL_TRIGGER_TYPE

    static final String COL_TRIGGER_TYPE

See Also:
  Constant Field Values

### COL_START_TIME

    static final String COL_START_TIME

See Also:
  Constant Field Values

### COL_END_TIME

    static final String COL_END_TIME

See Also:
  Constant Field Values

### COL_PRIORITY

    static final String COL_PRIORITY

See Also:
  Constant Field Values

### COL_MISFIRE_INSTRUCTION

    static final String COL_MISFIRE_INSTRUCTION

See Also:
  Constant Field Values

### ALIAS_COL_NEXT_FIRE_TIME

    static final String ALIAS_COL_NEXT_FIRE_TIME

See Also:
  Constant Field Values

### COL_REPEAT_COUNT

    static final String COL_REPEAT_COUNT

See Also:
  Constant Field Values

### COL_REPEAT_INTERVAL

    static final String COL_REPEAT_INTERVAL

See Also:
  Constant Field Values

### COL_TIMES_TRIGGERED

    static final String COL_TIMES_TRIGGERED

See Also:
  Constant Field Values

### COL_CRON_EXPRESSION

    static final String COL_CRON_EXPRESSION

See Also:
  Constant Field Values

### COL_BLOB

    static final String COL_BLOB

See Also:
  Constant Field Values

### COL_TIME_ZONE_ID

    static final String COL_TIME_ZONE_ID

See Also:
  Constant Field Values

### COL_INSTANCE_NAME

    static final String COL_INSTANCE_NAME

See Also:
  Constant Field Values

### COL_FIRED_TIME

    static final String COL_FIRED_TIME

See Also:
  Constant Field Values

### COL_SCHED_TIME

    static final String COL_SCHED_TIME

See Also:
  Constant Field Values

### COL_ENTRY_ID

    static final String COL_ENTRY_ID

See Also:
  Constant Field Values

### COL_ENTRY_STATE

    static final String COL_ENTRY_STATE

See Also:
  Constant Field Values

### COL_CALENDAR_NAME

    static final String COL_CALENDAR_NAME

See Also:
  Constant Field Values

### COL_CALENDAR

    static final String COL_CALENDAR

See Also:
  Constant Field Values

### COL_LOCK_NAME

    static final String COL_LOCK_NAME

See Also:
  Constant Field Values

### COL_LAST_CHECKIN_TIME

    static final String COL_LAST_CHECKIN_TIME

See Also:
  Constant Field Values

### COL_CHECKIN_INTERVAL

    static final String COL_CHECKIN_INTERVAL

See Also:
  Constant Field Values

### DEFAULT_TABLE_PREFIX

    static final String DEFAULT_TABLE_PREFIX

See Also:
  Constant Field Values

### STATE_WAITING

    static final String STATE_WAITING

See Also:
  Constant Field Values

### STATE_ACQUIRED

    static final String STATE_ACQUIRED

See Also:
  Constant Field Values

### STATE_EXECUTING

    static final String STATE_EXECUTING

See Also:
  Constant Field Values

### STATE_COMPLETE

    static final String STATE_COMPLETE

See Also:
  Constant Field Values

### STATE_BLOCKED

    static final String STATE_BLOCKED

See Also:
  Constant Field Values

### STATE_ERROR

    static final String STATE_ERROR

See Also:
  Constant Field Values

### STATE_PAUSED

    static final String STATE_PAUSED

See Also:
  Constant Field Values

### STATE_PAUSED_BLOCKED

    static final String STATE_PAUSED_BLOCKED

See Also:
  Constant Field Values

### STATE_DELETED

    static final String STATE_DELETED

See Also:
  Constant Field Values

### STATE_MISFIRED

    static final String STATE_MISFIRED

  Deprecated. Whether a trigger has misfired is no longer a state, but rather now identified dynamically by whether the trigger's next fire time is more than the misfire threshold time in the past.
  See Also:
    Constant Field Values

### ALL_GROUPS_PAUSED

    static final String ALL_GROUPS_PAUSED

See Also:
  Constant Field Values

### TTYPE_SIMPLE

    static final String TTYPE_SIMPLE

  Simple Trigger type.

  See Also:
    Constant Field Values

### TTYPE_CRON

    static final String TTYPE_CRON

  Cron Trigger type.

  See Also:
    Constant Field Values

### TTYPE_CAL_INT

    static final String TTYPE_CAL_INT

  Calendar Interval Trigger type.

  See Also:
    Constant Field Values

### TTYPE_DAILY_TIME_INT

    static final String TTYPE_DAILY_TIME_INT

  Daily Time Interval Trigger type.

  See Also:
    Constant Field Values

### TTYPE_BLOB

    static final String TTYPE_BLOB

  A general blob Trigger type.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.